org.eclipse.incquery.patternlanguage.emf

## Class EMFPatternLanguageScopeHelper

- java.lang.Object
- - org.eclipse.incquery.patternlanguage.emf.EMFPatternLanguageScopeHelper

-     public final class EMFPatternLanguageScopeHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NOT_AN_ENUMERATION_REFERENCE_ERROR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.eclipse.emf.ecore.EEnum` | `calculateEnumerationType(PathExpressionHead head)`
    `static org.eclipse.emf.ecore.EEnum` | `calculateEnumerationType(PathExpressionTail tail)`
    `static org.eclipse.emf.ecore.EClassifier` | `calculateExpressionType(PathExpressionHead head)`
    `static org.eclipse.emf.ecore.EClassifier` | `calculateExpressionType(PathExpressionTail tail)`
    `static PathExpressionHead` | `getExpressionHead(PathExpressionTail tail)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NOT_AN_ENUMERATION_REFERENCE_ERROR

          public static final java.lang.String NOT_AN_ENUMERATION_REFERENCE_ERROR

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### calculateEnumerationType

          public static org.eclipse.emf.ecore.EEnum calculateEnumerationType(PathExpressionHead head)
                                                                      throws ResolutionException

      Throws:
        `ResolutionException`

    - #### calculateEnumerationType

          public static org.eclipse.emf.ecore.EEnum calculateEnumerationType(PathExpressionTail tail)
                                                                      throws ResolutionException

      Throws:
        `ResolutionException`

    - #### calculateExpressionType

          public static org.eclipse.emf.ecore.EClassifier calculateExpressionType(PathExpressionHead head)
                                                                           throws ResolutionException

      Throws:
        `ResolutionException`

    - #### calculateExpressionType

          public static org.eclipse.emf.ecore.EClassifier calculateExpressionType(PathExpressionTail tail)
                                                                           throws ResolutionException

      Throws:
        `ResolutionException`

    - #### getExpressionHead

          public static PathExpressionHead getExpressionHead(PathExpressionTail tail)